Get catalogs
curl --request GET \
--url https://api.example.com/api/metastore/catalogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalogs": [
{
"name": "<string>",
"is_system_catalog": true
}
]
}{
"error": "<string>",
"code": 500
}Catalogs
Get catalogs
Get a list of catalogs from Trino.
GET
/
api
/
metastore
/
catalogs
Get catalogs
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Data retrieved successfully.
List of catalogs retrieved from Trino.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

